/**
 * @file EC_Channel_Destroyer.cpp
 *
 * $Id: EC_Channel_Destroyer.cpp 76589 2007-01-25 18:04:11Z elliott_c $
 *
 * @author Marina Spivak <marina@atdesk.com>
 */

#include "orbsvcs/Event/EC_Channel_Destroyer.h"

TAO_BEGIN_VERSIONED_NAMESPACE_DECL

void
TAO_EC_Channel_Destroyer_Functor::operator() (
                           TAO_EC_Event_Channel_Base * event_channel)
  ACE_THROW_SPEC (())
{
  try
    {
      event_channel->destroy ();
    }
  catch (...)
    {
    }
}

TAO_END_VERSIONED_NAMESPACE_DECL
